ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- p
- q
- r
- s
- t
- u
- v

### - a -

- Authentication : _HTTP_CREDENTIALS
- AuthHeader : _HTTP_AUTH_HEADER
- AuthSchemaName : _HTTP_CREDENTIALS , _HTTP_PROXY

### - b -

- Backup_Nb : ZenLib::ZtringListListF
- Backup_Nb_Max : ZenLib::ZtringListListF
- bits : MD5Context
- buf : MD5Context
- BufferUnderRun : ZenLib::BitStream_Fast

### - c -

- Connection : _HTTP_HEADERS_INFO
- CredAuthSchema : _HTTP_CREDENTIALS
- CredPassword : _HTTP_CREDENTIALS
- CredUser : _HTTP_CREDENTIALS

### - d -

- Domain : ZenLib::Format::Http::Cookie

### - e -

- Expires : ZenLib::Format::Http::Cookie

### - f -

- FDError : _HTTP_CONNECTION
- FDRead : _HTTP_CONNECTION
- FDWrite : _HTTP_CONNECTION
- File_Handle : ZenLib::File
- File_Name : ZenLib::File
- Foreign_IP : ZenLib::Format::Http::Handler
- Foreign_Port : ZenLib::Format::Http::Handler

### - h -

- HaveCredentials : _HTTP_HEADERS_INFO
- Header : ZenLib::Format::Html::Handler
- HeadersBuffer : _HTTP_HEADERS
- HeaderSearch : _HTTP_HEADERS
- HeadersIn : _HTTP_HEADERS
- HeadersOnly : ZenLib::Format::Http::Handler
- HeadersOut : _HTTP_HEADERS
- hi : ZenLib::uint128
- Html : ZenLib::Format::Html::Request
- Http : ZenLib::Format::Http::Request
- HTTP_AUTH_SCHEMA : _HTTP_AUTH_HEADER
- HttpAuthHeader : _HTTP_REQUEST
- HttpClientPort : _HTTP_CONNECTION
- HttpConnection : _HTTP_REQUEST
- HttpCounters : _HTTP_REQUEST
- HttpCredentials : _HTTP_REQUEST
- HttpFlags : _HTTP_REQUEST
- HttpHeaders : _HTTP_REQUEST
- HttpHeadersInfo : _HTTP_REQUEST
- HttpLastVerb : _HTTP_HEADERS
- HttpProxy : _HTTP_REQUEST
- HttpRedirectURL : _HTTP_HEADERS_INFO
- HttpSocket : _HTTP_CONNECTION
- HttpStartTime : _HTTP_CONNECTION
- HttpState : _HTTP_CLIENT , _HTTP_REQUEST
- HTTPStatusCode : _HTTP_CLIENT
- HttpUrl : _HTTP_REQUEST
- HttpVerb : _HTTP_HEADERS
- HTTPVersion : _HTTP_HEADERS_INFO

### - i -

- in : MD5Context
- IsCopy : ZenLib::Format::Html::Request , ZenLib::Format::Http::Request

### - l -

- Language : ZenLib::Format::Html::header
- lo : ZenLib::uint128
- Local : ZenLib::ZtringListListF
- Local_IP : ZenLib::Format::Http::Handler
- Local_Port : ZenLib::Format::Http::Handler

### - m -

- Max : ZenLib::InfoMap , ZenLib::Translation , ZenLib::ZtringList , ZenLib::ZtringListList

### - n -

- nActionStartTime : _HTTP_COUNTERS
- nActionTimeout : _HTTP_COUNTERS
- Name : ZenLib::ZtringListListF
- nBytesToNextChunk : _HTTP_COUNTERS
- nHTTPContentLength : _HTTP_HEADERS_INFO
- nHTTPPostContentLength : _HTTP_HEADERS_INFO
- nHTTPStatus : _HTTP_HEADERS_INFO
- nLength : _HTTP_PARAM
- nPort : _HTTP_URL
- nProxyPort : _HTTP_PROXY
- nRecivedBodyLength : _HTTP_COUNTERS
- nRecivedChunkLength : _HTTP_COUNTERS
- nRecivedHeaderLength : _HTTP_COUNTERS
- nSentBodyBytes : _HTTP_COUNTERS
- nSentChunks : _HTTP_COUNTERS
- nSentHeaderBytes : _HTTP_COUNTERS

### - p -

- Path : ZenLib::Format::Http::Cookie , ZenLib::Format::Http::Handler
- Position : ZenLib::File
- pParam : _HTTP_PARAM
- ProxtUser : _HTTP_PROXY
- ProxyAuthSchema : _HTTP_PROXY
- ProxyHost : _HTTP_PROXY
- ProxyPassword : _HTTP_PROXY

### - q -

- Quote : ZenLib::InfoMap , ZenLib::Translation , ZenLib::ZtringList , ZenLib::ZtringListList

### - r -

- Request_Cookies : ZenLib::Format::Http::Handler
- Request_Headers : ZenLib::Format::Http::Handler
- Request_Queries : ZenLib::Format::Http::Handler
- RequestBodyLengthSent : _HTTP_CLIENT
- Response_Body : ZenLib::Format::Http::Handler
- Response_Cookies : ZenLib::Format::Http::Handler
- Response_Headers : ZenLib::Format::Http::Handler
- Response_HTTP_Code : ZenLib::Format::Http::Handler
- ResponseBodyLengthReceived : _HTTP_CLIENT

### - s -

- Sauvegarde : ZenLib::ZtringListListF
- SearchClue : _HTTP_HEADERS
- Secure : ZenLib::Format::Http::Cookie
- Separator : ZenLib::InfoMap , ZenLib::Translation , ZenLib::ZtringList , ZenLib::ZtringListList
- Size : ZenLib::File

### - t -

- Title : ZenLib::Format::Html::header
- TlsNego : _HTTP_CONNECTION
- TotalResponseBodyLength : _HTTP_CLIENT

### - u -

- Url : _HTTP_URL
- UrlBsee : _HTTP_URL
- UrlHost : _HTTP_URL
- UrlPort : _HTTP_URL
- UrlRequest : _HTTP_URL

### - v -

- ValidHeaders : _HTTP_HEADERS_INFO
- Value : ZenLib::Format::Http::Cookie
- Verb : _HTTP_HEADERS